
/*
 * IPTraf working file and directory definitions
 * You may change these to suit your preferences
 */

/*
 *  The IPTraf instance identification file.  IPTraf is running if this
 *  file is present, and is deleted afterwards.  As of this version, this
 *  file is used to restrict configuration to only the first instance.
 */
#define IPTIDFILE	"/var/local/iptraf/iptraf.tag"

/*
 * The IPTraf facility identification files.  These are used to tag each
 * individual facility, allowing only one of each kind running at any one
 * time systemwide.
 */
 
#define IPMONIDFILE	"/var/local/iptraf/ipmon.tag"
#define GSTATIDFILE	"/var/local/iptraf/genstat.tag"
#define DSTATIDFILE	"/var/local/iptraf/detstat.tag"
#define TCPUDPIDFILE	"/var/local/iptraf/tcpudp.tag"
#define LANMONIDFILE	"/var/local/iptraf/lanmon.tag"
#define TCPFLTIDFILE	"/var/local/iptraf/tcpfltchg.tag"
#define UDPFLTIDFILE	"/var/local/iptraf/udpfltchg.tag"
#define OTHFLTIDFILE	"/var/local/iptraf/othfltchg.tag"
/*
 * The TCP filter list file
 */
 
#define TCPFLNAME	"/var/local/iptraf/tcpfilters.dat"

/*
 * The UDP filter list file
 */
 
#define UDPFLNAME	"/var/local/iptraf/udpfilters.dat"

/*
 * The other protocol filter data file
 */
 
#define OTHFLNAME	"/var/local/iptraf/othfilter.dat"

/*
 * The IPTraf configuration data file
 */
#define CONFIGFILE	"/var/local/iptraf/iptraf.cfg"

/*
 * The IPTraf log files
 */
 
#define IPMONLOG	"/var/log/iptraf/ip_traffic.log"
#define GSTATLOG	"/var/log/iptraf/iface_stats_general.log"
#define DSTATLOG	"/var/log/iptraf/iface_stats_detailed.log"
#define TCPUDPLOG	"/var/log/iptraf/tcp_udp_services.log"
#define LANLOG		"/var/log/iptraf/lan_statistics.log"

/*
 * The additional TCP/UDP ports file
 */
#define PORTFILE	"/var/local/iptraf/ports.dat"

/*
 * The Ethernet and FDDI host description files
 */
 
#define ETHFILE		"/var/local/iptraf/ethernet.desc"
#define FDDIFILE	"/var/local/iptraf/fddi.desc"

/*
 * The rvnamed program file
 */
 
#define RVNDFILE	"/usr/local/bin/rvnamed"

/*
 * The rvnamed log file
 */
 
#define RVNDLOGFILE	"/var/log/iptraf/rvnamed.log"

/*
 * File to contain the current TCP filter data file name.  UDP filter
 * data is saved with the other protocols.
 */
#define TCPFILTERSAVE   "/var/local/iptraf/tcpfilter.cur"


/*
 * The IPTraf working directory
 */
 
#define WORKDIR		"/var/local/iptraf/"
